explain_strtoll_or_die(3)

NAME
explain_strtoll_or_die - convert a string to a long integer and report errors
    "convert a string to a long integer and report errors"

SYNOPSIS
#include <libexplain/strtoll.h>

long long explain_strtoll_or_die(const char *nptr, char **endptr, int base);
long long explain_strtoll_on_error(const char *nptr, char **endptr, int base))

DESCRIPTION
The explain_strtoll_or_die function is used to call the strtoll(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_strtoll(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_strtoll_on_error function is used to call the strtoll(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_strtoll(3) function, but still returns to the caller.

nptr
    The nptr, exactly as to be passed to the strtoll(3) system call.

endptr
    The endptr, exactly as to be passed to the strtoll(3) system call.

base
    The base, exactly as to be passed to the strtoll(3) system call.

RETURN VALUE
The explain_strtoll_or_die function only returns on success, see strtoll(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_strtoll_on_error function always returns the value return by the wrapped strtoll(3) system call.

EXAMPLE
The explain_strtoll_or_die function is intended to be used in a fashion similar to the following example:
    long long result = explain_strtoll_or_die(nptr, endptr, base);

SEE ALSO

strtoll(3)
    convert a string to a long integer

explain_strtoll(3)
    explain strtoll(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.4
Copyright (C) 2009 Peter Miller